#include "colors.inc"
#include "textures.inc"
#include "wings.inc"
#include "gun.inc"
#include "engine.inc"
#include "gamesett.inc"
#include "clocks.inc"

#declare Hull = union {
	cone {
		<0,2,0>,0
		<0,0,0>,.6
		texture {Silver_Metal}
	}
}
#declare Cockpit = union {
	cone {
		<0,.5,0>,.1
		<0,0,0>,.2
		texture {
			Ruby_Glass
			pigment {color Blue}
		}
	}
}

#declare Turn_roll=90
#declare Turn_yaw=45
#declare Cruising_pitch=8

#declare Shielding_pitch=45
#declare Shielding_roll=45
#declare Shielding_yaw=45

#declare Seed=seed((clock+.3)*10000)

#declare basicShip = union {
	object {Hull}
	object {Cockpit translate <0,1,-.2>}
	object {Wings translate <0,.5,.3>}
	object {Engine_composite translate <0,-.6,0>}
	object {Gun translate <0,0,-.6>}
	translate <0,-.5,0>
    #ifdef (ENGINE_ON) rotate <-20*No_ends_sine_clock,0,0> #end
    #ifdef (TURNING_LEFT) rotate <0,Turn_roll*No_ends_seq_clock,Turn_yaw*No_ends_seq_clock> #end
    #ifdef (TURNING_RIGHT) rotate <0,-Turn_roll*No_ends_seq_clock,-Turn_yaw*No_ends_seq_clock> #end
    #ifdef (CRUISING) rotate <Cruising_pitch*2*Seq_clock-Cruising_pitch,0,0> #end
    #ifdef (ROCKING) rotate <Shielding_pitch*(rand(Seed)*2-1)*No_ends_seq_clock,Shielding_roll*(rand(Seed)*2-1)*No_ends_seq_clock,Shielding_yaw*(rand(Seed)*2-1)*No_ends_seq_clock> #end

    rotate <0,0,Div_clock*45>
}
#ifdef (EXPLODING)
       #declare explode_object = basicShip
#end






