#include "colors.inc"
#include "textures.inc"
#include "thrust.inc"
#declare Engine = union {
	cone {
		<0,0,0>,.2
		<0,1.5,0>,.1
		texture {Gold_Metal}
		hollow
	}
	sphere {
		<0,.75,0>,.3
		texture {Chrome_Metal}
		scale <1,2,1>
		translate <0,-.75,0>
	}
	object {Thrust
		translate <.1,-.75,0>
		#ifndef (ENGINE_ON) scale .3
        #end
	}
}

#declare Engine_composite = union {
	object {Engine translate <.7,0,0>}
	object {Engine translate <-.7,0,0>}
	cylinder {
		<0,.8,0>,
		<0,.6,0>,.7
		texture {Gold_Metal}
	}
}

#declare Warthog_Pipe = union {
	object {Thrust
		translate <0,-1.2,0>
		#ifndef (ENGINE_ON) scale <.2,.5,.2>
        #else scale <.6,1.2,.6>
        #end
	}
	cone {
		<0,-.2,0>,.25,
		<0,.4,0>,0
		texture {
			Chrome_Metal
		}
		hollow
	}
	cone {
		<0,-.3,0>,.25,
		<0,.3,0>,0
		texture {
			Gold_Metal
		}
		hollow
	}
	cylinder {
		<0,-.1,0>,
		<0,.9,0>,.1
		texture {Silver_Metal}
	}
	cylinder {
		<0,.3,0>,
		<0,.5,0>,.15
		texture {Gold_Metal}
	}
	cylinder {
		<0,.6,0>,
		<0,.8,0>,.2
		texture {Gold_Metal}
	}
	translate <0,-.9,0>
	scale <1,1.2,1>
}
#declare Warthog_Engine = union {
	object {Warthog_Pipe}
	object {Warthog_Pipe
		translate <.1,.3,-.1>
		rotate <5,3,-2>
		scale .7
	}
	object {Warthog_Pipe
		translate <-.4,.2,-.1>
		rotate <2,5,-11>
		scale 1.1
	}
	object {Warthog_Pipe
		translate <.2,-.1,-.15>
		rotate <2,-1,3>
		scale .9
	}
	object {Warthog_Pipe
		translate <-.1,.2,.4>
		rotate <-3,5,-1>
		scale 1.2
	}
	object {Warthog_Pipe
		translate <-.2,.5,-.4>
		rotate <-2,-7,-3>
		scale 1.0
	}
	object {Warthog_Pipe
		translate <-.4,0,0>
		rotate <-4,-8,9>
		scale 1.3
	}
	object {Warthog_Pipe
		translate <.3,.5,.4>
		rotate <-3,-10,-5>
		scale .9
	}
}
