#include "colors.inc"
#include "textures.inc"
#include "photon.inc"
#include "clocks.inc"

#declare Triggers = union {
	cone {
		<0,0,0>,.25
		<0,0,-.5>,0
		rotate <0,-45,-15>
	}
	cone {
		<0,0,0>,.25
		<0,0,-.5>,0
		rotate <0,45,15>
	}
	cylinder {
		<0,-.1,0>,
		<0,-.2,0>,
		.3
	}
	cylinder {
		<0,.1,0>,
		<0,.2,0>,
		.3
	}
	texture {Gold_Metal}
    translate <0,.25,0>
}

#declare Barrel = union {
	cylinder {
		<0,0,0>,
		<0,.92,0>,
		.1
		open
		texture {Gold_Metal}
	}
	sphere {
		<0,.25,0>,.25
		texture {
			Silver_Metal
			pigment {Red}
		}
		scale <1,1.1,1>
	}
	sphere {
		<0,.7,0>,.15
		texture {
			Silver_Metal
			pigment {Red}
		}
		scale <1,1.1,1>
	}
    #ifdef (GUN_ON) translate <0,Barrel_clock,0>
    #end
}

#declare Gun = union {
	object {Triggers}
	object {Barrel}
    #ifdef (GUN_ON) object {Photon translate <0,Photon_clock,0>}
    #end

}

#declare Gun_Hole = cylinder {
	<.3,0,0>,<-.3,0,0>,.07
	texture {
		pigment {color Black}
	}
}
#declare Gun_Holes = union {
	object {Gun_Hole}
	object {Gun_Hole rotate <0,-120,0>}
	object {Gun_Hole rotate <0,120,0>}
	rotate <0,90,0>
}
#declare Warthog_Muzzle = difference {
	cylinder {
		<0,0,0>,
		<0,1,0>,.2
		hollow
	}
	object {Gun_Holes translate <0,.8,0>}
	object {Gun_Holes translate <0,.6,0>}
	object {Gun_Holes translate <0,.4,0>}
	texture {Chrome_Metal}
}
#declare Warthog_Gun = union {
	object {Warthog_Muzzle translate <0,.2,0>}
	sphere {
		<0,0,0>,.3
		texture {Bronze_Metal}
	}
	sphere {
		<0,-.3,.2>,.4
		texture {Silver_Metal}
	}
	scale .5
	rotate <-20,0,0>
	translate <0,0,-.8>
}
#declare Warthog_Guns = union {
	object {Warthog_Gun}
	object {Warthog_Gun rotate <0,90,0>}
	object {Warthog_Gun rotate <0,-90,0>}
	object {Warthog_Gun rotate <0,180,0>}
}
