#declare ENGINE_ON=true

#include "gamesett.inc"
#include "colors.inc"
#include "textures.inc"
#include "wings.inc"
#include "gun.inc"
#include "engine.inc"
#include "clocks.inc"

#declare Turn_roll=90
#declare Turn_yaw=45
#declare Cruising_roll=10

#declare Shielding_pitch=60
#declare Shielding_roll=60
#declare Shielding_yaw=60

#declare Seed=seed((clock*clock)*10000)

#declare Nostrils = union {
	sphere {
		<-.35,0,0>,.3
		scale <1,.5,.5>
	}
	sphere {
		<.35,0,0>,.3
		scale <1,.5,.5>
	}
	texture {
		Ruby_Glass
		pigment {color Red}
	}
}
#declare Warthog_Cockpit = difference {
	sphere {
		<0,0,0>,.3
		texture {
			Silver_Metal
			pigment {color Yellow}
		}
		scale <1,1.5,1>
	}
	object {
		Nostrils
		texture {
			Ruby_Glass
			pigment {color Yellow}
		}
		translate <0,.2,-.2>
	}
}
#declare Warthog_Hull = difference {
	sphere {
		<0,0,0>,1
		scale <.75,1.25,.75>
	}
	box {
		<-.4,-1.5,.2>,
		<.4,-.2,-1>
	}
	texture {
		Silver_Metal
		normal {
			dents 3
			scale .2
		}
		pigment {color Red}
	}
}
#declare Warthog_ship = union {
	object{Warthog_Hull}
	object{Warthog_Engine
		scale <.9,.8,.9>
		rotate <25,0,0>
		translate <.1,-.4,-.2>}
	object{Warthog_Cockpit translate <0,1.1,-.4>}
	object{Warthog_Guns translate <0,.5,0>}
	object{Warthog_Wings
		rotate <20,0,0>
		scale <1.1,.7,1>
		translate <0,0,.3>
	}
	scale <1,.8,1>
    translate<.4,.7,0>
    #ifdef (ENGINE_ON) rotate <-20*No_ends_sine_clock,0,0> #end
    #ifdef (TURNING_LEFT) rotate <0,Turn_roll*No_ends_seq_clock,Turn_yaw*No_ends_seq_clock> #end
    #ifdef (TURNING_RIGHT) rotate <0,-Turn_roll*No_ends_seq_clock,-Turn_yaw*No_ends_seq_clock> #end
    #ifdef (CRUISING) rotate <0,Cruising_roll*2*Seq_clock-Cruising_roll,0> #end
    #ifdef (SHIELDING) rotate <Shielding_pitch*(rand(Seed)*2-1)*No_ends_seq_clock,Shielding_roll*(rand(Seed)*2-1)*No_ends_seq_clock,Shielding_yaw*(rand(Seed)*2-1)*No_ends_seq_clock> #end
    rotate <0,0,Div_clock*45>
}

object {Warthog_ship scale 2}
