#include "colors.inc"
#include "textures.inc"
#include "gamesett.inc"
#include "clocks.inc"

// create a sphere shape
#declare bottom=difference {
sphere
{
  <0, 0, 0> // center of sphere <X Y Z>
  1       // radius of sphere
  scale <1,2,1> // <= Note: Spheres can become ellipses by uneven scaling
}
cylinder {<0,0,0>,<0,2,0>,1}

}
#declare egg=union {
sphere
{
  <0, 0, 0> // center of sphere <X Y Z>
  1       // radius of sphere
  // scale <1,2,1> // <= Note: Spheres can become ellipses by uneven scaling
}
object {bottom}
}
#declare basicShield=difference {
object {egg}
object {egg translate <0,0,.1>}

// create a box that extends between the 2 specified points
box
{
  <1, 1, 1>  // one corner position <X1 Y1 Z1>
  < -1,  -1,  -1>  // other corner position <X2 Y2 Z2>
  rotate <0,0,45>
  translate <1.25,1.25,0>
}box
{
  <2, 2, 2>  // one corner position <X1 Y1 Z1>
  < -2,  -2,  -2>  // other corner position <X2 Y2 Z2>
  rotate <0,0,-63.4>
  translate <-2.25,-2.25,0>
}box
{
  <2, 2, 2>  // one corner position <X1 Y1 Z1>
  < -2,  -2,  -2>  // other corner position <X2 Y2 Z2>
  rotate <0,0,63.4>
  translate <2.25,-2.25,0>
}
box
{
  <1, 1, 1>  // one corner position <X1 Y1 Z1>
  < -1,  -1,  -1>  // other corner position <X2 Y2 Z2>
  rotate <0,0,45>
  translate <-1.25,1.25,0>
}
texture {Chrome_Metal}
}
#declare frontShield=difference {
object {basicShield texture {Chrome_Metal pigment {Blue}}}
box {<-.2,-2,-1> <.2,1,1>}
box {<-1,-.2,-1> <1,.2,1>}
}
#declare strap=union {
cylinder {<0,-1,0>,<0,1,0>,.2 texture {Gold_Metal}}
cylinder {<0,.7,0>,<0,1.1,0>,.3 texture {Chrome_Metal pigment {Blue}}}
cylinder {<0,-.7,0>,<0,-1.1,0>,.3 texture {Chrome_Metal pigment {Blue}}}
scale .7
translate <0,-.4,-.1>
}
#declare shield=union {
object {basicShield scale 1.7}
object {frontShield scale 1.4 translate <0,0,-.6> }
object {strap translate <.6,0,0>}
object {strap translate <-.6,0,0>}
}

object {shield rotate <0,360*clock,0>}
