#include "gamesett.inc"
#declare Seed=seed(clock*1000)
#declare bottomRadius=2
#declare treeHeight=25
#declare trunkHeight=5
#declare theta=atan2(bottomRadius,(treeHeight-trunkHeight))
#declare maxNeedles=40
#declare numLevels=7
#declare heightInc=(treeHeight-trunkHeight)/numLevels
#declare height = trunkHeight
#declare maxXRot=-15
#declare maxZRot=15
#declare minXRot=-30
#declare minZRot=-15
#declare maxNeedleRad=.3
#declare minNeedleRad=.1
#declare tree=union {
#while (height <= treeHeight)
#declare needleCount = 0
#declare totalNeedles=maxNeedles*rand(Seed)/2+maxNeedles/2
#while (needleCount < totalNeedles)
cone
{
  <0,0,0>,  maxNeedleRad*(treeHeight-height+.01)/(treeHeight-trunkHeight),
  <0,(treeHeight-height)*tan(theta)+.01,0>, minNeedleRad*(treeHeight-height+.01)/(treeHeight-trunkHeight)
				pigment {SeaGreen}
				finish {
					ambient .15
					phong .3
					reflection .1
				}
  rotate <(maxXRot-minXRot)*rand(Seed)+minXRot,0,(maxZRot-minZRot)*rand(Seed)+minZRot>
  rotate <0,0,needleCount*360/totalNeedles>
  translate <0,0,-(heightInc*rand(Seed)+height-heightInc/2)>
}
  #declare needleCount = needleCount+1 // increment our counter
#end
#declare height=height+heightInc
#end

cone {<0,0,0>,1 <0,0,-treeHeight>,0 pigment{SeaGreen}}
}
object {tree translate <0,0,groundLocation>}// scale .3 rotate<90,0,0>}
